/* _dict.cc 01/02/98 20.19.44 */
/* devinfo.cc 14/06/99 22.00.54 */
PUBLIC CONFIG_FILE_DEVLIST::CONFIG_FILE_DEVLIST (void);
PUBLIC int CONFIG_FILE_DEVLIST::archive (SSTREAM&ss);
PUBLIC int CONFIG_FILE_DEVLIST::extract (SSTREAM&ss);
/* filter.cc 18/04/99 22.21.14 */
PRIVATE void CONFDB_REDHAT::reset_modified (void);
PUBLIC CONFDB_REDHAT::CONFDB_REDHAT (CONFDB *_orig);
PUBLIC CONFDB_REDHAT::~CONFDB_REDHAT (void);
PUBLIC void CONFDB_REDHAT::setcursys (const char *_subsys);
PUBLIC int CONFDB_REDHAT::save (PRIVILEGE *priv);
PRIVATE const char *CONFDB_REDHAT::getvalfromrh (RHLK *rh);
PRIVATE void CONFDB_REDHAT::updaterh (RHLK *rh, const char *val);
PUBLIC const char *CONFDB_REDHAT::getval (const char *prefix,
	 const char *key,
	 const char *defval);
PUBLIC int CONFDB_REDHAT::getall (const char *prefix,
	 const char *key,
	 SSTRINGS&lst,
	 bool copy);
PUBLIC void CONFDB_REDHAT::removeall (const char *prefix,
	 const char *key);
PUBLIC void CONFDB_REDHAT::add (const char *prefix,
	 const char *key,
	 const char *val);
PUBLIC int CONFDB_REDHAT::archive (SSTREAM&ss, const char *_sys);
PUBLIC int CONFDB_REDHAT::extract (SSTREAM&ss, const char *_sys);
/* pam.cc 12/01/99 10.32.06 */
/* redhat.cc 21/07/99 14.11.20 */
PUBLIC MODULE_redhat::MODULE_redhat (void);
PUBLIC int MODULE_redhat::dohtml (const char *key);
PUBLIC int MODULE_redhat::execmain (int argc, char *argv[]);
/* reduser.cc 15/11/98 01.31.34 */
/* routes.cc 02/05/98 22.26.56 */
/* sysv.cc 12/08/99 18.05.54 */
PUBLIC SERVICE_SYSV_REDHAT::SERVICE_SYSV_REDHAT (const char *_name,
	 const char *_desc,
	 int _state);
PUBLIC int SERVICE_SYSV_REDHAT::control (SERVICE_OPER oper);
PUBLIC const char *SERVICE_SYSV_REDHAT::getrunstatus (void);
PUBLIC const char *SERVICE_SYSV_REDHAT::getconfstatus (void);
PUBLIC void SERVICE_SYSV_REDHAT::showstatus (void);
PUBLIC int SERVICE_SYSV_REDHAT::edit (void);
